com.amazonaws.codegen.model.service

## Class Output

- java.lang.Object
- - com.amazonaws.codegen.model.service.Output

    public class Output
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Output()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDocumentation()`
`String` `getLocationName()`
`String` `getResultWrapper()`
`String` `getShape()`
`void` `setDocumentation(String documentation)`
`void` `setLocationName(String locationName)`
`void` `setResultWrapper(String resultWrapper)`
`void` `setShape(String shape)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Output

    public Output()

### Method Detail

#### getShape

    public String getShape()

#### setShape

    public void setShape(String shape)

#### getDocumentation

    public String getDocumentation()

#### setDocumentation

    public void setDocumentation(String documentation)

#### getLocationName

    public String getLocationName()

#### setLocationName

    public void setLocationName(String locationName)

#### getResultWrapper

    public String getResultWrapper()

#### setResultWrapper

    public void setResultWrapper(String resultWrapper)